<!doctype html>
<html>
<head>
    <title>New Release: Tor Browser 11.0a2 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="New Release: Tor Browser 11.0a2 | Tor Project">
    <meta property="og:description" content="Tor Browser 11.0a2 is now available from the Tor Browser download page and also from our distribution directory.">
    <meta property="og:image" content="https://blog.torproject.org/new-release-tor-browser-110a2/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-release-tor-browser-110a2/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        New Release: Tor Browser 11.0a2
      </h1>
    <p class="meta">by sysrqb | July 20, 2021</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor Browser 11.0a2 is now available from the <a href="https://www.torproject.org/download/alpha/">Tor Browser download page</a> and also from our <a href="https://www.torproject.org/dist/torbrowser/11.0a2/">distribution directory</a>.</p>
<p><b>Note:</b> This is an alpha release, an experimental version for users who want to help us test new features. For everyone else, we recommend downloading the latest stable <a href="https://blog.torproject.org/new-release-tor-browser-1052">Windows/macOS/Linux</a> or <a href="https://blog.torproject.org/new-release-tor-browser-1053">Android</a> release instead.</p>
<p>This version updates <b>Firefox</b> to version 78.12.0esr on Windows, macOS, and Linux, and Firefox to version 90.1.1 on Android. This version includes important security updates to Firefox on <a href="https://www.mozilla.org/en-US/security/advisories/mfsa2021-29/">Windows, macOS, and Linux</a>, and <a href="https://www.mozilla.org/en-US/security/advisories/mfsa2021-28/">Android</a>.</p>
<p style="background-color:cornsilk; padding-left:1em; padding-right:1em;"><b>Warning</b>:<br />
Tor Browser Alpha does <em><b>not</b> support <u>version 2 onion services</u></em>. Tor Browser (Stable) will <em><b>stop</b> supporting <u>version 2 onion services</u></em> later <em><b>this year</b></em>. Please see the <a href="https://support.torproject.org/onionservices/v2-deprecation/">deprecation F.A.Q.</a> entry regarding Tor version 0.4.6. Migrate your services and update your bookmarks to version 3 onion services as soon as possible.</p>
<p>The full changelog since <a href="https://gitweb.torproject.org/builders/tor-browser-build.git/plain/projects/tor-browser/Bundle-Data/Docs/ChangeLog.txt?h=master"> Tor Browser 11.0a1:</a></p>
<ul>
<li>All Platforms
<ul>
<li>Update HTTPS Everywhere to 2021.7.13</li>
</ul>
</li>
<li>Windows + OS X + Linux
<ul>
<li>Update Firefox to 78.12.0esr</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40497">Bug 40497</a>: Cannot set multiple pages as home pages in 10.5a17</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40506">Bug 40506</a>: Saved Logins not available in 10.5</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40507">Bug 40507</a>: Full update is not downloaded after applying partial update fails</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40510">Bug 40510</a>: open tabs get redirected to about:torconnect on restart</li>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40524">Bug 40524</a>: Update DuckDuckGo onion site URL in search preferences and onboarding</li>
</ul>
</li>
<li>Android
<ul>
<li>Update Fenix to 90.1.1</li>
<li><a href="https://bugs.torproject.org/tpo/applications/android-components/40062">Bug 40062</a>: Update DuckDuckGo onion search plugin</li>
<li><a href="https://bugs.torproject.org/tpo/applications/fenix/40177">Bug 40177</a>: Hide Tor icons in settings</li>
</ul>
</li>
<li>Build System
<ul>
<li>All Platforms
<ul>
<li>Update Go to 1.16.6</li>
</ul>
</li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-292442"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292442" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 22, 2021</p>
    </div>
    <a href="#comment-292442">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292442" class="permalink" rel="bookmark">BUG: Since 10.5.2 running…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>BUG: Since 10.5.2 running with TOR_SKIP LAUNCH=1 TOR_TRANSPROXY=1 to run TBB as a normal browser has been weird/broken</p>
<p>10.5.2 was kinda hard to get running and required a few changes to about:config and sometimes just wouldn't work anyway.</p>
<p>11.0a2 does work but required me to set network.dns.disabled to false</p>
<p>Both versions have this rather annoying bug where the "Something went wrong, you're not connected to tor" page comes up and if you close out of it, 50 more open. If you close those 50, 100 more open. To get around it you need to leave at least one of these tabs open at all times...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292467"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292467" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 28, 2021</p>
    </div>
    <a href="#comment-292467">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292467" class="permalink" rel="bookmark">Will RDD be fixed in the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Will RDD be fixed in the next ESR?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292484"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292484" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 29, 2021</p>
    </div>
    <a href="#comment-292484">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292484" class="permalink" rel="bookmark">https://bugzilla.mozilla.org…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://bugzilla.mozilla.org/show_bug.cgi?id=1490093" rel="nofollow">https://bugzilla.mozilla.org/show_bug.cgi?id=1490093</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292485"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292485" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 30, 2021</p>
    </div>
    <a href="#comment-292485">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292485" class="permalink" rel="bookmark">Sometime Snowflake bridge…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sometime Snowflake bridge can't get resume when my public IP is changed by redial(by PPPoE) to ISP except I restart Tor Browser.<br />
11.0a2 (based on Mozilla Firefox 78.12.0esr) (32-bit)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292491"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292491" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 30, 2021</p>
    </div>
    <a href="#comment-292491">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292491" class="permalink" rel="bookmark">HTTPSE Version: 2021.7.13…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>HTTPSE Version: 2021.7.13<br />
Rulesets version for SecureDropTorOnion2021: 2021.7.9Rulesets version for EFF (Full): 2021.7.28Rulesets version for DuckDuckGo Smarter Encryption: 2021.7.28Rulesets version for SecureDropTorOnion2021: 2021.7.9<br />
See that some ruleset doubles?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292494"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292494" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 31, 2021</p>
    </div>
    <a href="#comment-292494">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292494" class="permalink" rel="bookmark">Enable WebSocket connection…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Enable WebSocket connection partitioning if first party isolation is enabled<br />
<a href="https://bugzilla.mozilla.org/show_bug.cgi?id=1721858" rel="nofollow">https://bugzilla.mozilla.org/show_bug.cgi?id=1721858</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-292592"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292592" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Thorin (not verified)</span> said:</p>
      <p class="date-time">August 15, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-292494" class="permalink" rel="bookmark">Enable WebSocket connection…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-292592">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292592" class="permalink" rel="bookmark">https://bugzilla.mozilla.org…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://bugzilla.mozilla.org/show_bug.cgi?id=1713748#c12" rel="nofollow">https://bugzilla.mozilla.org/show_bug.cgi?id=1713748#c12</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
